<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/">
    <html>
      <body>
        <a name="Top"></a>

        <h1>
          F-Secure DeepGuard&#x2122; Diagnostics
        </h1>
        <hr></hr>

        <h2>
          Contents
        </h2>
          <ul>
            <li><a href="#VersionInfo">Version Info</a></li>
            <li><a href="#Settings">Settings</a></li>
            <li><a href="#OperationalStatus">Operational Status</a></li>
            <li><a href="#Configuration">Configuration</a></li>
            <ul>
              <li><a href="#WatchFiles">Watch Files</a></li>
              <li><a href="#WatchRegistryKeys">Watch Registry Keys</a></li>
              <li><a href="#TrafficLightFiles">Traffic Light Files</a></li>
              <li><a href="#KnownApplicationsList">Known Applications List</a></li>
              <li><a href="#Thresholds">Thresholds</a></li>
            </ul>
            <li><a href="#InternalLists">Internal Lists</a></li>
            <p></p>
            <li><a href="#End">Go to end</a></li>
          </ul>
        <hr></hr>
        <a name="VersionInfo"></a>
        <h2>
          Version Info
        </h2>
        <p>
        DLL Version: <b><xsl:value-of select="Diagnostics/VersionInfo/DllVersion"/></b>
        </p>
        <a href="#Top" >Back to Contents</a>

        <hr></hr>
        <a name="Settings"></a>
        <h2>
          Settings
        </h2>
        <p>
        DeepGuard&#x2122; Enabled: <b><xsl:value-of select="Diagnostics/Settings/SystemControlEnabled"/></b>
        </p>
        <p>
        User Control Level: <b><xsl:value-of select="Diagnostics/Settings/UserCtrlLevel"/></b>
        </p>
        <p>
        Local Admin Control: <b><xsl:value-of select="Diagnostics/Settings/LocalAdminCtrl"/></b>
        </p>
        <p>
        Show Notification on Block: <b><xsl:value-of select="Diagnostics/Settings/ShowNotificationOnBlock"/></b>
        </p>
        <p>
        Real-time Protection Network: <b><xsl:value-of select="Diagnostics/Settings/NhipsEnabled"/></b>
        </p>
        <p>
        Network query timeout, new: <b><xsl:value-of select="Diagnostics/Settings/NhipsTimeoutNew"/></b> ms
        </p>
        <p>
        Network query timeout, existing: <b><xsl:value-of select="Diagnostics/Settings/NhipsTimeoutExisting"/></b> ms
        </p>
        <p>
        Send Upstream: <b><xsl:value-of select="Diagnostics/Settings/NhipsUpstreamEnabled"/></b>
        </p>
        <p>
        Enhanced Process Monitoring: <b><xsl:value-of select="Diagnostics/Settings/EnhancedProcessMonitoringEnabled"/></b>
        </p>
        <a href="#Top" >Back to Contents</a>

        <hr></hr>
        <a name="OperationalStatus"></a>
        <h2>
          Operational Status
        </h2>
        <p>
        Try and Buy Valid: <b><xsl:value-of select="Diagnostics/OperationalStatus/TnbValid"/></b>
        </p>
        <p>
        Driver Contacted: <b><xsl:value-of select="Diagnostics/OperationalStatus/DriverContacted"/></b>
        </p>
        <p>
        FSMA Connected: <b><xsl:value-of select="Diagnostics/OperationalStatus/FsmaConnected"/></b>
        </p>
        <p>
        ORSP API Loaded: <b><xsl:value-of select="Diagnostics/OperationalStatus/NhipsLoaded"/></b>
        </p>
        <p>
        XML Configuration Loaded: <b><xsl:value-of select="Diagnostics/OperationalStatus/XmlConfigLoaded"/></b>
        </p>
        <p>
        WOW64 detected: <b><xsl:value-of select="Diagnostics/OperationalStatus/WOW64"/></b>
        </p>

        <a href="#Top" >Back to Contents</a>
        <hr></hr>
        <a name="Configuration"></a>
        <h2>
          Configuration
        </h2>

        <a name="WatchFiles"></a>
        <h3>
          Files to Watch
        </h3>
        <p>
        WatchFile count: <b><xsl:value-of select="Diagnostics/HipsConfiguration/WatchFiles/@count"/></b>
        </p>

        <table border="1">
          <tr bgcolor="#A0B0FF">
            <th align="left">
              WatchFiles
            </th>
          </tr>
          <xsl:for-each select="Diagnostics/HipsConfiguration/WatchFiles/WatchFile">
          <xsl:sort select="."/> 
            <tr>
              <td>
                <xsl:if test="position() mod 2 = 0">
                <xsl:attribute name="bgcolor">lightgrey</xsl:attribute>
                </xsl:if>
                <xsl:value-of select="."/>
              </td>
            </tr>
          </xsl:for-each>
        </table>
        <p></p>

        <a href="#Top" >Back to Contents</a>
        <a name="WatchRegistryKeys"></a>
        <h3>
          Registry Keys to Watch
        </h3>
        <p>
        WatchRegistryKeys count: <b><xsl:value-of select="Diagnostics/HipsConfiguration/WatchRegistryKeys/@count"/></b>
        </p>

        <table border="1">
          <tr bgcolor="#A0B0FF">
            <th align="left">
              WatchRegistryKeys
            </th>
          </tr>
          <xsl:for-each select="Diagnostics/HipsConfiguration/WatchRegistryKeys/WatchRegistryKey">
          <xsl:sort select="."/> 
            <tr>
              <td>
                <xsl:if test="position() mod 2 = 0">
                <xsl:attribute name="bgcolor">lightgrey</xsl:attribute>
                </xsl:if>
                <xsl:value-of select="."/>
              </td>
            </tr>
          </xsl:for-each>
        </table>
        <p></p>
        <a href="#Top" >Back to Contents</a>

        <a name="TrafficLightFiles"></a>
        <h3>
          Traffic Light Files
        </h3>
        <p>
        TrafficLightFiles count: <b><xsl:value-of select="Diagnostics/HipsConfiguration/TrafficLightFiles/@count"/></b>
        </p>

        <table border="1">
          <tr bgcolor="#A0B0FF">
            <th align="left">
              Digest
            </th>
            <th align="left">
              Color
            </th>
          </tr>
          <xsl:for-each select="Diagnostics/HipsConfiguration/TrafficLightFiles/TrafficLightFile">
          <xsl:sort select="Color"/> 
            <tr>
              <td>
                <xsl:if test="Color='Green'" >
                  <xsl:attribute name="bgcolor">lightgreen</xsl:attribute>
                </xsl:if>
                <xsl:if test="Color='Red'" >
                  <xsl:attribute name="bgcolor">red</xsl:attribute>
                </xsl:if>
                <xsl:if test="Color='Yellow'" >
                  <xsl:attribute name="bgcolor">yellow</xsl:attribute>
                </xsl:if>
                <code><xsl:value-of select="Digest"/></code>
                <xsl:attribute name="bgcolor">normal</xsl:attribute>
              </td>
              <td>
                <xsl:value-of select="Color"/>
              </td>
            </tr>
          </xsl:for-each>
        </table>
        <p></p>
        <a href="#Top" >Back to Contents</a>

        <a name="KnownApplicationsList"></a>
        <h3>
          Known Applications List
        </h3>
        <p>
        KnownAppList count: <b><xsl:value-of select="Diagnostics/HipsConfiguration/KnownAppList/@count"/></b>
        </p>

        <table border="1">
          <tr bgcolor="#A0B0FF">
            <th align="left">
              Type
            </th>
            <th align="left">
              Flags
            </th>
            <th align="left">
              Digest
            </th>
          </tr>
          <xsl:for-each select="Diagnostics/HipsConfiguration/KnownAppList/KnownApp">
          <xsl:sort select="Digest"/> 
            <tr>
              <xsl:if test="position() mod 2 = 0">
              <xsl:attribute name="bgcolor">lightgrey</xsl:attribute>
              </xsl:if>
              <td>
                <xsl:value-of select="@type"/>
              </td>
              <td>
                <xsl:value-of select="@flags"/>
              </td>
              <td>
                <code><xsl:value-of select="Digest"/></code>
              </td>
            </tr>
          </xsl:for-each>
        </table>
        <p></p>
        <a href="#Top" >Back to Contents</a>

        <a name="Thresholds"></a>
        <h3>
          Thresholds
        </h3>

        <p>
        Lower: <b><xsl:value-of select="Diagnostics/HipsConfiguration/Thresholds/Lower"/></b>
        </p>
        <p>
        Upper: <b><xsl:value-of select="Diagnostics/HipsConfiguration/Thresholds/Upper"/></b>
        </p>
        <p>
        NetworkedLower: <b><xsl:value-of select="Diagnostics/HipsConfiguration/Thresholds/NetworkedLower"/></b>
        </p>
        <p>
        NetworkedUpper: <b><xsl:value-of select="Diagnostics/HipsConfiguration/Thresholds/NetworkedUpper"/></b>
        </p>

        <a href="#Top" >Back to Contents</a>
        <hr></hr>
        <a name="InternalLists"></a>
        <h2>
          Internal Lists
        </h2>
        <p>
        KnownAppChildList count: <b><xsl:value-of select="Diagnostics/InternalLists/KnownAppChildList/@count"/></b>
        </p>

        <table border="1">
          <tr bgcolor="#A0B0FF">
            <th align="left">
              KnownAppChildList
            </th>
          </tr>
          <xsl:for-each select="Diagnostics/InternalLists/KnownAppChildList/Child">
          <xsl:sort select="."/> 
            <tr>
              <td>
                <code><xsl:value-of select="."/></code>
              </td>
            </tr>
          </xsl:for-each>
        </table>

        <p>
        AdminList count: <b><xsl:value-of select="Diagnostics/InternalLists/AdminList/@count"/></b>
        </p>

        <table border="1">
          <tr bgcolor="#A0B0FF">
            <th align="left">
              AdminList
            </th>
            <th align="left">
              Trust
            </th>
          </tr>
          <xsl:for-each select="Diagnostics/InternalLists/AdminList/AdminListEntry">
          <xsl:sort select="TrustLevel"/> 
            <tr>
              <td>
                <xsl:if test="TrustLevel='Allow'" >
                  <xsl:attribute name="bgcolor">lightgreen</xsl:attribute>
                </xsl:if>
                <xsl:if test="TrustLevel='Deny'" >
                  <xsl:attribute name="bgcolor">red</xsl:attribute>
                </xsl:if>
                <code><xsl:value-of select="Digest"/></code>
                <xsl:attribute name="bgcolor">normal</xsl:attribute>
              </td>
              <td>
                <xsl:value-of select="TrustLevel"/>
              </td>
            </tr>
          </xsl:for-each>
        </table>
        <p></p>
        <a href="#Top" >Back to Contents</a>
        <hr></hr>

        <a name="End"></a>
        <p>
        End of F-Secure DeepGuard&#x2122; Diagnostics
        </p>

      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>